## Class XsltTransformStep

- java.lang.Object
- - net.sf.okapi.common.pipeline.BasePipelineStep
  - - XsltTransformStep

- All Implemented Interfaces:
    IPipelineStep

      public class XsltTransformStep
      extends BasePipelineStep

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XsltTransformStep(InputStream xstlInputstream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getName()`
    `protected Event` | `handleRawDocument(Event event)` handler takes a
    `boolean` | `isDone()`

    - ### Methods inherited from class net.sf.okapi.common.pipeline.BasePipelineStep

      `cancel, destroy, getHelpLocation, getParameters, handleCustom, handleDocumentPart, handleEndBatch, handleEndBatchItem, handleEndDocument, handleEndGroup, handleEndSubDocument, handleEndSubfilter, handleEvent, handleMultiEvent, handlePipelineParameters, handleStartBatch, handleStartBatchItem, handleStartDocument, handleStartGroup, handleStartSubDocument, handleStartSubfilter, handleTextUnit, isLastOutputStep, setLastOutputStep, setParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XsltTransformStep

          public XsltTransformStep(InputStream xstlInputstream)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getDescription

          public String getDescription()

    - #### handleRawDocument

          protected Event handleRawDocument(Event event)

      handler takes a
      Overrides:
        `handleRawDocument` in class `BasePipelineStep`

    - #### isDone

          public boolean isDone()

      Specified by:
        `isDone` in interface `IPipelineStep`
      Overrides:
        `isDone` in class `BasePipelineStep`

Copyright © 2019. All rights reserved.